No indicator icon for Deluge in Unity

Bug #1384508 reported by Franko Burolo on 2014-10-23
42
This bug affects 9 people
Affects Status Importance Assigned to Milestone
Deluge
Unknown
Unknown
One Hundred Papercuts
High
Unassigned
deluge (Ubuntu)
High
Andrew Starr-Bochicchio
Utopic
Undecided
Unassigned

Bug Description

[Impact]

 * Without python-appindicator, the indicator is not visible in the panel.

[Test Case]

 * Install deluge from utopic without python-appindicator. Enable the indicator:

    Edit > Preferences > Interface > Enable system tray icon

The icon will not be visible in the panel.

* Install deluge from utopic-proposed. python-appindicator will be installed. Enable the indicator, and it will be visible in the panel.

[Regression Potential]

 * Very little regression potential. One package is added to the Recommends. It will be installed by default, but users not wanting the package may still avoid it.

--------

Deluge's indicator icon doesn't show up, but it is enabled in properties.

Go to Edit > Properties > Interface. Enable system tray icon and indicator applet. (Some items may be called somewhat differently, I am using a croatian interface, so I translated this on-the-fly)
Expected behaviour: a clickable Deluge icon, with its own menu if clicked, shows up in the indicator area of the Unity panel.
Actual behaviour: nothing happens at all.

I am using Ubuntu 14.10 Utopic Unicorn 64-bit (fresh-installed from a beta image)
Standard Unity interface
Deluge 1.3.10 from official Ubuntu repos

I will gladly provide any other info, if needed.

Thank you very much for your effort and help!

ProblemType: Bug
DistroRelease: Ubuntu 14.10
Package: deluge 1.3.10-1
ProcVersionSignature: Ubuntu 3.16.0-23.31-generic 3.16.4
Uname: Linux 3.16.0-23-generic x86_64
ApportVersion: 2.14.7-0ubuntu8
Architecture: amd64
CurrentDesktop: Unity
Date: Thu Oct 23 02:17:42 2014
InstallationDate: Installed on 2014-10-09 (13 days ago)
InstallationMedia: Ubuntu 14.10 "Utopic Unicorn" - Alpha amd64 (20140923)
PackageArchitecture: all
SourcePackage: deluge
UpgradeStatus: No upgrade log present (probably fresh install)

Franko Burolo (fburolo) wrote :
Changed in deluge (Ubuntu):
status: New → Confirmed
Cas (calumlind) wrote :

It seems that we need an explicit dependency on python-indicator package.

Franko Burolo (fburolo) wrote :

I couldn't find python-indicator in the repos, but python-appindicator did solve the issue. I guess it was renamed at some point, or it is a typo. Anyway, I can confirm that the package (python-appindicator) solves this, so an explicit dependency on it should fix the bug.

Does this bug render the application window unreachable at some point, or it's just the indicator doesn't show up ?

When answered, please set this bug status back to "confirmed".

Changed in hundredpapercuts:
status: New → Confirmed
Changed in deluge (Ubuntu):
status: Confirmed → Incomplete
Changed in hundredpapercuts:
status: Confirmed → Incomplete
Franko Burolo (fburolo) wrote :

Yes, if you have the option to close to tray icon enabled, Deluge stays active, but you can't reach the window, while the icon doesn't show up -- system monitors will list Deluge as running. But when you run Deluge again from its launcher, it won't open a second instance, but simply activate the hidden active window. So technically it IS reachable that way... So I am not totally sure how to answer to your question.

Changed in deluge (Ubuntu):
status: Incomplete → Confirmed
Changed in hundredpapercuts:
status: Incomplete → Confirmed

@ Franko Burolo

You clarified my doubts, thank you.

Changed in deluge (Ubuntu):
importance: Undecided → High
Changed in hundredpapercuts:
importance: Undecided → High
Franko Burolo (fburolo) wrote :

No problem. :-)

Renjith I S (mailrenjithis) wrote :

Hi,

As stated above, it seems this issue can be resolved by adding 'python-appindicator' as a dependancy to 'deluge' and/or 'deluge-gtk' as manually installing python-appindicator and restarting deluge-gtk shows the app indicator

Changed in deluge (Ubuntu):
status: Confirmed → In Progress
assignee: nobody → Andrew Starr-Bochicchio (andrewsomething)
Changed in deluge (Ubuntu Utopic):
status: New → Triaged
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package deluge - 1.3.10-2ubuntu1

---------------
deluge (1.3.10-2ubuntu1) vivid; urgency=medium

  * Explicitly recommend python-appindicator to ensure
    panel indicator is available (LP: #1384508).
 -- Andrew Starr-Bochicchio <email address hidden> Sun, 16 Nov 2014 20:46:35 -0500

Changed in deluge (Ubuntu):
status: In Progress → Fix Released

Hello Franko, or anyone else affected,

Accepted deluge into utopic-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/deluge/1.3.10-2ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in deluge (Ubuntu Utopic):
status: Triaged → Fix Committed
tags: added: verification-needed
Franko Burolo (fburolo) wrote :

OK, first I have uninstalled python-appindicator, to revert to the buggy behaviour... :-D
Then I have enabled proposed and upgraded Deluge from there. This time it HAS pulled down python-appindicator with it, as expected. I have disabled back proposed, started Deluge, and now the indicator icon is in place and working fine.

Thank you very much! :-)

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package deluge - 1.3.10-2ubuntu0.1

---------------
deluge (1.3.10-2ubuntu0.1) utopic-proposed; urgency=medium

  * Explicitly recommend python-appindicator to ensure
    panel indicator is available (LP: #1384508).
 -- Andrew Starr-Bochicchio <email address hidden> Sun, 16 Nov 2014 20:46:35 -0500

Changed in deluge (Ubuntu Utopic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for deluge has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Paul White (paulw2u) wrote :

Closing as fix was released some time ago.

Changed in hundredpapercuts:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.